javax.swing.plaf.basic

## Class BasicSplitPaneUI.KeyboardUpLeftHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicSplitPaneUI.KeyboardUpLeftHandler

- All Implemented Interfaces:
    ActionListener, EventListener
  Enclosing class:
    BasicSplitPaneUI

      public class BasicSplitPaneUI.KeyboardUpLeftHandler
      extends Object
      implements ActionListener

  Implementation of an ActionListener that the JSplitPane UI uses for handling specific key presses.

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicSplitPaneUI.KeyboardUpLeftHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent ev)` Invoked when an action occurs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicSplitPaneUI.KeyboardUpLeftHandler

          public BasicSplitPaneUI.KeyboardUpLeftHandler()

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent ev)

      Description copied from interface: `ActionListener`
      Invoked when an action occurs.
      Specified by:
        `actionPerformed` in interface `ActionListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.